# dwriteclockoverlay

Overlays the current clock time on a video stream

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstDWriteBaseOverlay
                            ╰──dwriteclockoverlay

## Factory details

Authors: – Seungha Yang

Classification: – `Filter/Editor/Video`

Rank – none

Plugin – dwrite

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw(ANY):

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw(ANY):

Presence – always

Direction – src

Object type – GstPad

## Properties

### time-format

    “time-format” gchararray

Format to use for time and date value, as in strftime.

Flags : Read / Write

Default value : %%H:%%M:%%S

The results of the search are